apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}
  labels:
    app: {{ .Release.Name }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app: {{ .Release.Name }}
    spec:
      containers:
      - name: minecraft
        image: "{{ .Values.registry.repo }}/{{ .Values.registry.image }}:{{ .Values.registry.tag }}"
        env:
        - name: MODPACK_ID
          value: {{ .Values.modpack.id | quote }}
        - name: MODPACK_VER
          value: {{ .Values.modpack.version | quote }}
        ports:
        - containerPort: 25565
        resources:
          requests:
            cpu: 200m
            memory: 6Gi
        volumeMounts:
        - name: minecraft
          mountPath: /minecraft
        imagePullPolicy: IfNotPresent
      restartPolicy: Always
      volumes:
      - name: minecraft
        persistentVolumeClaim:
          claimName: {{ .Release.Name }}
